//Serena Bailey ITDEV140 Downtown
package bailey_penniesforpay;

import java.util.Scanner;
import java.text.DecimalFormat;

public class PennyCalculations {
    
    //declared variables
    double totalPay = 0;
    double pennies = .01;
    int day, amountOfDays;
    
    DecimalFormat df = new DecimalFormat();
    
    public void display()
    {
        //displays the output of the program
        getInfo();
        doCalculations();
    }
    
    public void getInfo()
    {

        //gets all of the information from the user, displays if user enters 0 for days.
        Scanner keyboard = new Scanner(System.in);
        
        System.out.println("\nEnter in how many days you worked: ");
        amountOfDays = keyboard.nextInt();
        checkForExit(); 
        
        if (amountOfDays < 1)
        { 
            System.out.println("Invalid input: " + amountOfDays + ", please try again!");

        }
    }
    
    public void doCalculations()
    {
        //does the calculations for the days working, always doubling each day. Finishing with entering the final result.
        for (day = 1; day <= amountOfDays; day++) 
        {    
            System.out.println("For day " + day + " your earnings was: $" + pennies);
            totalPay += pennies;      
            pennies = pennies * 2;
        }
        
        df = new DecimalFormat("#.00");
        System.out.println("\nYour total pay for working " + amountOfDays + " days, is: $" + df.format(totalPay));
    }
    
    public void checkForExit()
    {
        //If user wishes to exit, user should type in this value.
       if(amountOfDays == 9999)
       {
           System.exit(0);
       }
    }
    
}
